summaryrefslogtreecommitdiffstats
path: root/development/ocaml
diff options
context:
space:
mode:
author Ferenc Deak <ferenc.deak@gmail.com>2010-05-11 19:44:19 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 19:44:19 +0200
commit187146d80df643f28dc4cf63cf1a57e86c9b5bcf (patch)
treefcac7db154f1c1570af14decd2ff6859797befa3 /development/ocaml
parent7dab351df9a3a1ff8abfc96a5d52628ca135082b (diff)
downloadslackbuilds-187146d80df643f28dc4cf63cf1a57e86c9b5bcf.tar.gz
slackbuilds-187146d80df643f28dc4cf63cf1a57e86c9b5bcf.tar.xz
development/ocaml: Updated for version 3.10.2
Diffstat (limited to 'development/ocaml')
-rw-r--r--development/ocaml/ocaml.SlackBuild37
-rw-r--r--development/ocaml/ocaml.info10
-rw-r--r--development/ocaml/slack-desc8
3 files changed, 41 insertions, 14 deletions
diff --git a/development/ocaml/ocaml.SlackBuild b/development/ocaml/ocaml.SlackBuild
index 3cd0855c83..5951b728aa 100644
--- a/development/ocaml/ocaml.SlackBuild
+++ b/development/ocaml/ocaml.SlackBuild
@@ -2,15 +2,32 @@
# Slackware build script for ocaml
-# Written by fdeak <ferenc.deak@gmail.com>
-
-set -e
+# Copyright 2007-2008 Ferenc Deak <ferenc.deak@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ocaml
-VERSION=3.09.3
+VERSION=3.10.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -22,11 +39,13 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xjf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar -jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -38,17 +57,18 @@ make world.opt
make PREFIX=$PKG/usr install
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a INSTALL LICENSE README Changes $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes INSTALL LICENSE README README.win32 Upgrading VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -56,4 +76,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
-
diff --git a/development/ocaml/ocaml.info b/development/ocaml/ocaml.info
index ee4506951c..1ec50aadc8 100644
--- a/development/ocaml/ocaml.info
+++ b/development/ocaml/ocaml.info
@@ -1,8 +1,8 @@
PRGNAM="ocaml"
-VERSION="3.09.3"
+VERSION="3.10.2"
HOMEPAGE="http://caml.inria.fr"
-DOWNLOAD="http://caml.inria.fr/pub/distrib/ocaml-3.09/ocaml-3.09.3.tar.bz2"
-MD5SUM="8b3744efd0d51b82d55b61d0e2bf0e2b"
-MAINTAINER="fdeak"
+DOWNLOAD="http://caml.inria.fr/pub/distrib/ocaml-3.10/ocaml-3.10.2.tar.bz2"
+MD5SUM="d86f8f8aa4574fa60dd6f89044580307"
+MAINTAINER="Ferenc Deak"
EMAIL="ferenc.deak@gmail.com"
-APPROVED="BP{k}"
+APPROVED="David Somero"
diff --git a/development/ocaml/slack-desc b/development/ocaml/slack-desc
index 641039d917..fb8e65248f 100644
--- a/development/ocaml/slack-desc
+++ b/development/ocaml/slack-desc
@@ -1,3 +1,11 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
ocaml: ocaml (A functional programming language)
ocaml:
ocaml: Caml is a general-purpose programming language, designed with program